libzypp: zypp::xml::ParseDefConsumeCallback Class Reference

libzypp 17.25.10

Public Types | Public Member Functions | Public Attributes | List of all members
zypp::xml::ParseDefConsumeCallback Class Reference

ParseDef consumer that invokes callbacks. More...

`#include <ParseDefConsume.h>`

Inheritance diagram for zypp::xml::ParseDefConsumeCallback:
[legend]

## Public Types
typedef function< void(const Node &)> | Callback

## Public Member Functions
| ParseDefConsumeCallback ()
virtual | ~ParseDefConsumeCallback ()
virtual void | start (const Node &node_r)
virtual void | text (const Node &node_r)
virtual void | cdata (const Node &node_r)
virtual void | done (const Node &node_r)
virtual void | startSubnode (const Node &node_r)
virtual void | doneSubnode (const Node &node_r)
Public Member Functions inherited from zypp::xml::ParseDefConsume
virtual | ~ParseDefConsume ()

## Public Attributes
Callback | _start
Callback | _text
Callback | _cdata
Callback | _done
Callback | _startSubnode
Callback | _doneSubnode

## Detailed Description

ParseDef consumer that invokes callbacks.

Definition at line 97 of file ParseDefConsume.h.

## Member Typedef Documentation

## ◆ Callback

typedef function<void(const Node &)> zypp::xml::ParseDefConsumeCallback::Callback

Definition at line 100 of file ParseDefConsume.h.

## Constructor & Destructor Documentation

## ◆ ParseDefConsumeCallback()

zypp::xml::ParseDefConsumeCallback::ParseDefConsumeCallback | ( |  | ) |

Definition at line 129 of file ParseDefConsume.cc.

## ◆ ~ParseDefConsumeCallback()

zypp::xml::ParseDefConsumeCallback::~ParseDefConsumeCallback | ( |  | ) |
| virtual

Definition at line 132 of file ParseDefConsume.cc.

## Member Function Documentation

## ◆ start()

void zypp::xml::ParseDefConsumeCallback::start | ( | const Node & | node_r | ) |
| virtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 135 of file ParseDefConsume.cc.

## ◆ text()

void zypp::xml::ParseDefConsumeCallback::text | ( | const Node & | node_r | ) |
| virtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 141 of file ParseDefConsume.cc.

## ◆ cdata()

void zypp::xml::ParseDefConsumeCallback::cdata | ( | const Node & | node_r | ) |
| virtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 147 of file ParseDefConsume.cc.

## ◆ done()

void zypp::xml::ParseDefConsumeCallback::done | ( | const Node & | node_r | ) |
| virtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 153 of file ParseDefConsume.cc.

## ◆ startSubnode()

void zypp::xml::ParseDefConsumeCallback::startSubnode | ( | const Node & | node_r | ) |
| virtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 159 of file ParseDefConsume.cc.

## ◆ doneSubnode()

void zypp::xml::ParseDefConsumeCallback::doneSubnode | ( | const Node & | node_r | ) |
| virtual

Reimplemented from zypp::xml::ParseDefConsume.

Definition at line 165 of file ParseDefConsume.cc.

## Member Data Documentation

## ◆ _start

Callback zypp::xml::ParseDefConsumeCallback::_start

Definition at line 115 of file ParseDefConsume.h.

## ◆ _text

Callback zypp::xml::ParseDefConsumeCallback::_text

Definition at line 116 of file ParseDefConsume.h.

## ◆ _cdata

Callback zypp::xml::ParseDefConsumeCallback::_cdata

Definition at line 117 of file ParseDefConsume.h.

## ◆ _done

Callback zypp::xml::ParseDefConsumeCallback::_done

Definition at line 118 of file ParseDefConsume.h.

## ◆ _startSubnode

Callback zypp::xml::ParseDefConsumeCallback::_startSubnode

Definition at line 119 of file ParseDefConsume.h.

## ◆ _doneSubnode

Callback zypp::xml::ParseDefConsumeCallback::_doneSubnode

Definition at line 120 of file ParseDefConsume.h.

The documentation for this class was generated from the following files:

- zypp/parser/xml/ParseDefConsume.h
- zypp/parser/xml/ParseDefConsume.cc